@import "variables.scss";

@mixin headerText($color: $color_headerText) {
  display: block;
  margin: 0;
  font-weight: bold;
  font-size: 14px;
  color: $color;
  @content
}

@mixin regularText($color: $color_regularText) {
  font-size: 11px;
  color: $color;
}

@mixin sm-button($color) {
  margin: 3px;
  width: 34px;
  height: 34px;
  border-radius: 50%;
  border: 2px solid $color;
  transition: border 0.5s ease;
  display: flex;
  justify-content: center;
  i {
    color: $color;
    transition: color 0.5s ease;
    font-size: 12px;
    align-self: center;
  }
  &:hover {
    i {
      color: lighten($color, 15%);
      transition: color 0.5s ease;
    }

    border: 2px solid lighten($color, 15%);
    transition: border 0.5s ease;
  }
}
